%define LIBVER 1.0.4
Summary: Library to access GSM mobile phones through GSM modems
Name: gsmlib
Version: 1.10
Release: alt7
Source: %name-%version.tar.bz2
Patch0: %name-%version.assert.patch
Group: System/Libraries
Copyright: LGPL
URL: http://www.pxh.de/fs/gsmlib/
Vendor: ALT Linux Team.

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: gcc-c++ glibc-devel-static libstdc++-devel


%package devel
Summary: Development tools for programs which will use the gsmlib library.
Group: Development/Other
Requires: gsmlib

%package ext
Summary: Extensions to gsmlib to support non-standard phone features.
Group:  Development/Other
Requires: gsmlib

%description
This distribution contains a library to access
GSM mobile phones through GSM modems. Features include:
 * modification of phonebooks stored in the
   mobile phone or on the SIM card
 * reading and writing of SMS messages stored in
   the mobile phone
 * sending and reception of SMS messages
Additionally, some simple command line programs are
provided to use these functionalities.

%description devel
The gsmlib-devel package includes the header files and static libraries
necessary for developing programs which use the gsmlib library.

%description ext
The extension package of gsmlib contains programs, libraries, and
documentation to support non-standard features of GSM phones. The
following phones/phone types are currently supported:
 * Siemens GSM phones

%prep
%setup
%patch -p1

%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --mandir=%_mandir --infodir=%_infodir
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/libgsmme.so
%_libdir/libgsmme.so.%{LIBVER}
%_libdir/libgsmme.so.1
%_bindir/gsmsmsstore
%_bindir/gsmctl
%_bindir/gsmsmsd
%_bindir/gsmpb
%_bindir/gsmsendsms
%_man1dir/gsmctl.1.*
%_man7dir/gsminfo.7.*
%_man1dir/gsmpb.1.*
%_man1dir/gsmsendsms.1.*
%_man8dir/gsmsmsd.8.*
%_man1dir/gsmsmsstore.1.*
%_datadir/locale/de/LC_MESSAGES/gsmlib.mo

%doc README INSTALL ABOUT-NLS AUTHORS COPYING NEWS TODO
%doc doc/README.NLS doc/README.developers doc/FAQ ChangeLog

%files devel
%defattr(-,root,root)
%_libdir/libgsmme.a
%_includedir/gsmlib

%files ext
%_bindir/gsmsiectl
%_bindir/gsmsiexfer
%_libdir/libgsmext.so
%_libdir/libgsmext.so.%{LIBVER}
%_libdir/libgsmext.so.1
%doc ext/README.sieme


%changelog
* Fri Mar 19 2004 Denis Smirnov <mithraen@altlinux.ru> 1.10-alt7
- fixed assert() use

* Mon Oct 20 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt6
-Minor fixes in provide so.1

* Thu Oct 16 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt5
-Vendor set to ALT Linux Team

* Mon Oct  6 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt3
-Fixes, fixes, fixes in spec

* Wed Oct 1 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt3
- Fixes to build in hasher

* Wed Dec 4 2002 Artem Pastukhov <past@altlinux.ru> 1.10-alt2
- Fixes in spec

* Tue Dec 3 2002 Artem Pastukhov <past@altlinux.ru> 1.10-alt1
- Initial release for Sisyphus
